curl --request GET \
--url https://api.dataspike.io/api/v4/kyb/result/{request_id} \
--header 'ds-api-token: <api-key>'import requests
url = "https://api.dataspike.io/api/v4/kyb/result/{request_id}"
headers = {"ds-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ds-api-token': '<api-key>'}};
fetch('https://api.dataspike.io/api/v4/kyb/result/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "019c9e79-4d64-73e1-9f30-5374f0f57975",
"response_data": {
"message": "<string>",
"results": [
{
"base_info": {
"company_name": "<string>",
"registration_number": "<string>",
"status": "<string>",
"company_type": "<string>",
"registration_date": "<string>",
"jurisdiction": "<string>",
"registered_address": {
"street": "<string>",
"city": "<string>",
"state_or_province": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"associated_persons": [
{
"name": "<string>",
"role": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"state_or_province": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"phone": "<string>",
"email": "<string>",
"current": "<string>"
}
]
},
"sos_id": "<string>",
"state_of_formation": "<string>",
"mailing_address": {
"street": "<string>",
"city": "<string>",
"state_or_province": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"registered_agent": {
"name": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"state_or_province": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
},
"status_reason": "<string>",
"normalized_status": "<string>",
"normalized_filing_date": "<string>",
"entity_sub_type": "<string>",
"phone_number": "<string>",
"email": "<string>",
"industry": "<string>",
"url": "<string>",
"confidence_level": 123,
"ai_confidence_level": 123,
"ein": "<string>",
"tax_payer_number": "<string>",
"ubi_number": "<string>",
"tax_amount_due": "<string>",
"good_standing": "<string>",
"ar_standing": "<string>",
"next_report_due_date": "<string>",
"inactive_date": "<string>",
"agent_is_commercial": true,
"agent_resigned": true,
"agent_resigned_date": "<string>",
"state_address": {
"street": "<string>",
"city": "<string>",
"state_or_province": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"service_of_process_agent": {
"name": "<string>",
"address": {
"street": "<string>",
"city": "<string>",
"state_or_province": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
},
"screenshot_url": "<string>",
"screenshot_succeeded": true,
"ucc_succeeded": true,
"registrant_name": "<string>",
"registrant_url": "<string>",
"person_name_match": "<string>",
"address_match": true,
"search_result_title": "<string>",
"messages": [
"<string>"
],
"assumed_business_names": [
{
"title": "<string>",
"effective_date": "<string>",
"status": "<string>",
"type": "<string>",
"expiration_date": "<string>",
"sos_id": "<string>",
"joint_venture": true
}
],
"documents": [
{
"name": "<string>",
"url": "<string>",
"date": "<string>",
"comment": "<string>"
}
],
"ucc_data": [
{
"file_number": "<string>",
"debtors": [
{
"name": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
}
],
"secured_parties": [
{
"name": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
}
],
"type": "<string>",
"filing_date": "<string>",
"status": "<string>",
"lapse_date": "<string>",
"image_url": "<string>"
}
],
"history": [
{
"name": "<string>",
"date": "<string>",
"changes": [
{
"name": "<string>",
"changed_from": "<string>",
"changed_to": "<string>",
"action": "<string>",
"title": "<string>"
}
]
}
],
"full_data_count": {
"officers_count": 123,
"documents_count": 123,
"ucc_data_count": 123,
"assumed_business_names_count": 123,
"history_count": 123
}
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}Get KYB verification result
Poll this endpoint to retrieve the result of a KYB verification request. The status field indicates whether processing is complete.
Authorizations
Path Parameters
The request ID returned from the verification submission
"019c9e79-4d64-73e1-9f30-5374f0f57975"
Response
Verification result
The verification request ID
"019c9e79-4d64-73e1-9f30-5374f0f57975"
Current status of the verification
initial, verified, not_verified, failed Type of verification that was performed
document_verification, us_company_registry_check, tin_verification Verification-specific result; the shape depends on verification_type:
us_company_registry_check → KybUsRegistryResponse,
tin_verification → KybTinResponse,
document_verification → document result (see the Document Verification guide).
Fields the source did not provide are omitted from the object.
- Option 1
- Option 2
Show child attributes
Show child attributes
ISO 8601 timestamp when the request was created
ISO 8601 timestamp when the verification completed